|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.CmsMultiDialog
org.opencms.workplace.commons.CmsDelete
public class CmsDelete
Provides methods for the delete resources dialog.
The following files use this class:
| Field Summary | |
|---|---|
static int |
ACTION_DELETE
Value for the action: delete the resource. |
static String |
DIALOG_TYPE
The dialog type. |
static String |
PARAM_DELETEVFSLINKS
Request parameter name for the deletevfslinks parameter. |
static String |
URI_DELETE_DIALOG
The delete dialog URI. |
| Fields inherited from class org.opencms.workplace.CmsMultiDialog |
|---|
DELIMITER_RESOURCES, PARAM_RESOURCELIST |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_BASE, PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
CmsDelete()
Default constructor needed for dialog handler implementation. |
|
CmsDelete(CmsJspActionElement jsp)
Public constructor with JSP action element. |
|
CmsDelete(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
|---|---|
void |
actionDelete()
Performs the delete action, will be called by the JSP page. |
String |
buildDeleteSiblings()
Returns the html for the "delete siblings" options when deleting a a resource with siblings. |
String |
getDialogHandler()
Returns the name of the handler which is used as key for the OpenCms runtime properties. |
String |
getDialogUri(String resource,
CmsJspActionElement jsp)
Returns the dialog URI in the OpenCms VFS to the dialog selector class. |
String |
getParamDeleteVfsLinks()
Returns the value of the boolean option to delete VFS links. |
boolean |
hasCorrectLockstate()
Checks if the current resource has lock state exclusive or inherited. |
boolean |
hasVfsLinks()
Checks if VFS links are pointing to this resource. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
protected boolean |
performDialogOperation()
Performs the resource deletion. |
protected void |
performSingleDeleteOperation(String resource,
int deleteOption)
Performs the delete operation for a single VFS resource. |
void |
setParamDeleteVfsLinks(String value)
Sets the value of the boolean option to delete VFS links. |
| Methods inherited from class org.opencms.workplace.CmsMultiDialog |
|---|
addMultiOperationException, buildResourceList, checkMultiOperationException, checkResourcePermissions, getParamResourcelist, getResourceList, isMultiOperation, isOperationOnFolder, setDialogTitle, setParamResourcelist |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamBase, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamBase, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final int ACTION_DELETE
public static final String DIALOG_TYPE
public static final String PARAM_DELETEVFSLINKS
public static final String URI_DELETE_DIALOG
| Constructor Detail |
|---|
public CmsDelete()
public CmsDelete(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsDelete(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
|---|
public void actionDelete()
throws JspException
JspException - if problems including sub-elements occurpublic String buildDeleteSiblings()
public String getDialogHandler()
I_CmsDialogHandlerStore the name of the key as a public String constant in the CmsDialogSelector class.
getDialogHandler in interface I_CmsDialogHandlerI_CmsDialogHandler.getDialogHandler()
public String getDialogUri(String resource,
CmsJspActionElement jsp)
I_CmsDialogHandler
getDialogUri in interface I_CmsDialogHandlerresource - the selected resourcejsp - the CmsJspActionElement
I_CmsDialogHandler.getDialogUri(java.lang.String, CmsJspActionElement)public String getParamDeleteVfsLinks()
public boolean hasCorrectLockstate()
This is used to determine whether the dialog shows the option to delete all siblings of the resource or not.
public boolean hasVfsLinks()
public void setParamDeleteVfsLinks(String value)
value - the value of the boolean option to delete VFS links
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogsettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
protected boolean performDialogOperation()
throws CmsException
performDialogOperation in class CmsMultiDialogCmsException - if deletion is not successful
protected void performSingleDeleteOperation(String resource,
int deleteOption)
throws CmsException
resource - the resource VFS pathdeleteOption - the delete option for sibling deletion
CmsException - if deleting the resource fails
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||